Skip to content
Back to top
View this page
Edit this page

# xonsh.completers.completer

xonsh.completers.completer.add_one_completer(name, func, loc='end')

xonsh.completers.completer.complete_completer_names(xsh, **_)

  Complete all loaded completer names

xonsh.completers.completer.list_completers()

  List the active completers

xonsh.completers.completer.remove_completer(name: ~typing.Annotated[str, ((), (('completer', <function complete_completer_names at 0x7d741cf21010>),))])

  Removes a completer from xonsh

  Parameters:
    name:

      NAME is a unique name of a completer (run “completer list” to see the current completers in order)